#include <stdint.h>

/* MX Generated headers */
#include "main.h"
#include "gpio.h"
#include "rtc.h"
#include "app_lorawan.h"

extern void SystemClock_Config(void);

int main(void) {
    /* HAL */
    HAL_Init();

    SystemClock_Config();

    /* Hardware initialization */
    MX_GPIO_Init();
    MX_LoRaWAN_Init();

    for (;;) {
        MX_LoRaWAN_Process();
    }
}